/****************************************************************************
** This class is derived of your form (mainwindow.ui)
**
****************************************************************************/

#include <qobject.h>
#include <qfiledialog.h>
#include <qpushbutton.h>
#include <qlayout.h>
#include <qframe.h>

#include "mymain.h"
#include "qmplayerwidget.h"

MyMain::MyMain( QWidget* parent, const char* name, bool modal, WFlags fl )
    : MainWindow ( parent, name, modal, fl )
{
  ////////////////////////////////////////////////////////////////////////////
  m_pMPlayerWidget = new QMPlayerWidget (vframe, "MPlayerWidget");
  // Next we create a GridLayout to have the QXineWidget take the full space of the QFrame - Object.
  m_pMPlayerLayout = new QGridLayout (vframe, 1, 1, 4, 6, "MPlayerMainLayout");
  m_pMPlayerLayout->addWidget(m_pMPlayerWidget, 0, 0);
  // Next I would recommend initializing the xine engine ...
  //m_pMPlayerWidget->initXine();
}

MyMain::~MyMain()
{
}

void MyMain::slotPlay()
{
    qWarning( "MainWindow::Button1_clicked(): Starting video ..." );
    QString fileName = QFileDialog::getOpenFileName ( "./", QString ("Movie Files ( *.mpg *.mpeg *.mov *.vob *.MPG *.MPEG *.MOV *.mov )"));
     
    m_pMPlayerWidget->setFilename ( fileName );
    m_pMPlayerWidget->slotPlay    ( );
}

