/****************************************************************************
 **
 ** This is the child class, derived off of your MainWindow class which 
 ** qmake automatically creates through the .ui file.
 **
 ****************************************************************************/

#ifndef __MYMAIN_H__
#define __MYMAIN_H__

#include "mainwindow.h"

class QGridLayout;
class QMPlayerWidget;

class MyMain : public MainWindow
{
    Q_OBJECT

public:
     MyMain ( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
     virtual ~MyMain ( );

public slots:
    virtual void slotPlay ();

protected:
    QMPlayerWidget *m_pMPlayerWidget;
    QGridLayout    *m_pMPlayerLayout;
};

#endif // __MYMAIN_H__
